apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  name: vm-b
  namespace: yoss-ns
spec:
  running: false
  template:
    spec:
      domain:
        devices:
          disks:
          - disk:
              bus: virtio
            name: containerdisk
          - disk:
              bus: virtio
            name: cloudinitdisk
          interfaces:
          - name: primary-l2-net
            binding:
              name: passt
          rng: {}
        resources:
          requests:
            memory: 2048M
      networks:
      - name: primary-l2-net
        pod: {}
      terminationGracePeriodSeconds: 0
      volumes:
      - containerDisk:
#          image: quay.io/kubevirt/fedora-with-test-tooling-container-disk:v1.1.0
          image: quay.io/openshift-cnv/qe-cnv-tests-fedora:40
        name: containerdisk
      - cloudInitNoCloud:
          networkData: |
            version: 2
            ethernets:
              eth0:
                dhcp4: true
          userData: |-
            #cloud-config
            password: password
            chpasswd: { expire: False }
        name: cloudinitdisk
